mia-2dimagefilterstack
Prev | Analysis, filtering, combining, and segmentation of 2D images | Next

### mia-2dimagefilterstack

#### Sysnopis:

`mia-2dimagefilterstack` {-i `io`} {-o `io`} [ `options` ...] [ `Plugin type: 2dimage/filter` ...]

#### Description:

This program runs a series filters on a series of consecutive numbered input image. The filters are given as extra parameters on the command line and are run in the order in which they are given.

#### Options:

#### File IO

-i, --in-file=(input, required); io

  input image(s) to be filtered. For supported file types see Plugin type: 2dimage/io

-o, --out-file=(output, required); io

  output file name base, the file type is set accurding to the 'type' option. For supported file types see Plugin type: 2dimage/io

-t, --type=

  output file type, if not given the input type is used Supported values are:(-, @, BMP, DCM, EXR, JPEG, JPG, PNG, RAW, TIF, TIFF, V, VISTA, bmp, dcm, exr, jpeg, jpg, png, raw, tif, tiff, v, vista, )

#### Help & Info

-V, --verbose=warning; dict

  verbosity of output, print messages of given level and higher priorities. Supported priorities starting at lowest level are:

  trace: | Function call trace
  debug: | Debug output
  info: | Low level messages
  message: | Normal messages
  warning: | Warnings
  fail: | Report test failures
  error: | Report errors
  fatal: | Report only fatal errors

--copyright=(); bool

  print copyright information

-h, --help=(); bool

  print this help

-?, --usage=(); bool

  print a short help

--version=(); bool

  print the version number and exit

#### Processing

--threads=-1; int

  Maxiumum number of threads to use for processing,This number should be lower or equal to the number of logical processor cores in the machine. (-1: automatic estimation).

#### Processing1

-s, --start=0; ulong

  first possible number of file number range to be filtered

-e, --end=2147483647; ulong

  last possible number of file number range to be filtered

#### Example:

Run a kmeans classification of 5 classes on images inputXXXX.png (X being digits) and then a binarization of the 4th class and store the result in resultXXXX.png

    mia-2dimagefilterstack -i input0000.png -o result -t png kmeans:c=5 binarize:min=4,max=4

#### Author(s):

Gert Wollny

Prev | Up | Next
mia-2dimagefilter | Home | mia-2dimagefullstats